Skip to main content
GET
/
commerce
/
catalog
/
storefront
/
categories
/
{categoryId}
Error
A valid request URL is required to generate request examples
{
  "attributes": [
    {
      "dataType": 123,
      "fullyQualifiedName": "<string>",
      "values": [
        "<unknown>"
      ]
    }
  ],
  "categoryCode": "<string>",
  "categoryId": 123,
  "childrenCategories": [
    {}
  ],
  "content": {
    "categoryImages": [
      {
        "altText": "<string>",
        "cmsId": "<string>",
        "imageLabel": "<string>",
        "imageUrl": "<string>",
        "mediaType": "<string>",
        "sequence": 123,
        "videoUrl": "<string>"
      }
    ],
    "description": "<string>",
    "metaTagDescription": "<string>",
    "metaTagKeywords": "<string>",
    "metaTagTitle": "<string>",
    "name": "<string>",
    "pageTitle": "<string>",
    "slug": "<string>"
  },
  "count": 123,
  "isDisplayed": true,
  "parentCategory": {},
  "sequence": 123,
  "shouldSlice": true,
  "updateDate": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

categoryId
integer<int32>
required

Required. Unique identifier of the category whose details you want to get.

Query Parameters

allowInactive
boolean

Optional. Allow the return of items with the IsDisplayed flag set to false.

includeAttributes
boolean
default:false

Optional. If True, Return Category Attributes collection with Category

responseFields
string

limits which fields are returned in the response body

Response

Success

The category hierarchy of your store as it appears on the storefront. This is the category heirarchy defined with the admin/category resource except for any categories with an IsDisplayed value set to false.

attributes
object[] | null
categoryCode
string | null

External unique identifier of the category.

categoryId
integer<int32>

Internal unique identifier of the category. System-supplied and read-only.

childrenCategories
object[] | null

List of subcategories that belong to this category.

content
object

Name of the category and optionally, a description, page title, friendly URL, associated images, and any metadata.

count
integer<int32> | null

Indicates whether the category should be displayed.

isDisplayed
boolean

Indicates whether the category should be displayed.

parentCategory
object
sequence
integer<int32> | null

Order in which categories appear when they are at the same level (siblings). For example, categories can be sequenced so that a specific category always appears first (or last).

shouldSlice
boolean

Indicates whether the category should be sliced

updateDate
string<date-time>

Last Modified Date Time